package core

// Implementation: github.com/lucasdataproyects/devfactory/core

// FlatMapSlice aplica una funcion que devuelve slices a cada elemento y aplana el resultado.
func FlatMapSlice[T, U any](slice []T, f func(T) []U) []U {
	// stub
	return nil
}
